SpyBara
Go Premium

Reference 2026-08-24 23:01 UTC to 2026-08-25 21:02 UTC

2 files changed +52 −6. View all changes and history on the product overview
2026
Mon 31 23:00 Sat 29 07:02 Fri 28 08:02 Thu 27 21:01 Wed 26 22:57 Tue 25 21:02 Mon 24 23:01 Fri 21 21:58 Thu 20 23:59 Wed 19 21:01 Sun 16 16:58 Sat 15 02:02 Fri 14 23:57 Thu 13 22:00 Wed 12 16:01 Mon 10 22:00 Sat 8 00:59 Fri 7 21:59 Thu 6 18:59 Wed 5 02:01 Mon 3 21:58
Details

1The method `create` is not available in this language.1## Create call

2 

3**post** `/realtime/calls`

4 

5Create a new Realtime API call over WebRTC and receive the SDP answer needed

6to complete the peer connection.

7 

8### Example

9 

10```http

11curl https://api.openai.com/v1/realtime/calls \

12 -H 'Content-Type: multipart/form-data' \

13 -H "Authorization: Bearer $OPENAI_API_KEY" \

14 -F sdp=sdp

15```

16 

17### Example

18 

19```http

20curl -X POST https://api.openai.com/v1/realtime/calls \

21 -H "Authorization: Bearer $OPENAI_API_KEY" \

22 -F "sdp=<offer.sdp;type=application/sdp" \

23 -F 'session={"type":"realtime","model":"gpt-realtime"};type=application/json'

24```

25 

26#### Response

27 

28```json

29v=0

30o=- 4227147428 1719357865 IN IP4 127.0.0.1

31s=-

32c=IN IP4 0.0.0.0

33t=0 0

34a=group:BUNDLE 0 1

35a=msid-semantic:WMS *

36a=fingerprint:sha-256 CA:92:52:51:B4:91:3B:34:DD:9C:0B:FB:76:19:7E:3B:F1:21:0F:32:2C:38:01:72:5D:3F:78:C7:5F:8B:C7:36

37m=audio 9 UDP/TLS/RTP/SAVPF 111 0 8

38a=mid:0

39a=ice-ufrag:kZ2qkHXX/u11

40a=ice-pwd:uoD16Di5OGx3VbqgA3ymjEQV2kwiOjw6

41a=setup:active

42a=rtcp-mux

43a=rtpmap:111 opus/48000/2

44a=candidate:993865896 1 udp 2130706431 4.155.146.196 3478 typ host ufrag kZ2qkHXX/u11

45a=candidate:1432411780 1 tcp 1671430143 4.155.146.196 443 typ host tcptype passive ufrag kZ2qkHXX/u11

46m=application 9 UDP/DTLS/SCTP webrtc-datachannel

47a=mid:1

48a=sctp-port:5000

49```

Details

2 2 

3> For the complete documentation index, see [llms.txt](/llms.txt). Markdown versions of documentation pages are available by appending `.md` to the page URL.3> For the complete documentation index, see [llms.txt](/llms.txt). Markdown versions of documentation pages are available by appending `.md` to the page URL.

4 4 

5Use this reference to exchange an externally issued identity token for a short-lived OpenAI access token after you configure a trusted provider and service account mapping. It also describes the beta X.509 certificate exchange. For concepts, dashboard configuration, and setup guides, see the [workload identity federation guide](https://developers.openai.com/api/docs/guides/workload-identity-federation).5Use this reference to exchange an externally issued identity token for a short-lived OpenAI access token after you configure a trusted provider and service account mapping. It also describes the X.509 certificate exchange. For concepts, dashboard configuration, and setup guides, see the [workload identity federation guide](https://developers.openai.com/api/docs/guides/workload-identity-federation).

6 6 

7## Exchange a JWT subject token7## Exchange a JWT subject token

8 8 


34 34 

35## Exchange an X.509 certificate35## Exchange an X.509 certificate

36 36 

37X.509 certificate exchange is available in beta. If X.509 doesn't appear as a provider type, contact your system administrator. Your administrator can work with OpenAI to enable the beta for your organization.

38 

39Present the client certificate during TLS negotiation with the dedicated X.509 token endpoint. Don't include a `subject_token` in the request body.37Present the client certificate during TLS negotiation with the dedicated X.509 token endpoint. Don't include a `subject_token` in the request body.

40 38 

41For provider and service account mapping configuration, follow the [X.509 certificate setup guide](https://developers.openai.com/api/docs/guides/workload-identity-federation/x509). For certificate requirements, activation, supported endpoints, and client configuration, see the [OpenAI Mutual TLS Beta Program](https://help.openai.com/en/articles/10876024-openai-mutual-tls-beta-program).39For provider and service account mapping configuration, follow the [X.509 certificate setup guide](https://developers.openai.com/api/docs/guides/workload-identity-federation/x509). For certificate requirements, activation, mTLS hosts, CEL filters, and rotation, see the [Mutual TLS guide](https://developers.openai.com/api/docs/guides/mutual-tls).

42 40 

43```bash41```bash

44curl --cert "$OPENAI_MTLS_CERT_CHAIN" \42curl --cert "$OPENAI_MTLS_CERT_CHAIN" \


88 86 

89During certificate validation, OpenAI applies the certificate-admission rules configured with the active Mutual TLS root. After validation succeeds, OpenAI evaluates the provider's **Attribute conditions**, derives its `openai.*` attributes, and resolves exactly one enabled mapping for the requested service account. X.509 providers must derive one non-empty `openai.subject` value.87During certificate validation, OpenAI applies the certificate-admission rules configured with the active Mutual TLS root. After validation succeeds, OpenAI evaluates the provider's **Attribute conditions**, derives its `openai.*` attributes, and resolves exactly one enabled mapping for the requested service account. X.509 providers must derive one non-empty `openai.subject` value.

90 88 

91Malformed or missing certificate material, an invalid chain, a root mismatch, a certificate outside its validity period, or rejection by a Mutual TLS certificate-admission rule returns `invalid_subject_token`. Rejection by the provider's **Attribute conditions** expression returns `invalid_grant`. Other provider, mapping, rollout, or active-root configuration failures also return `invalid_grant`. X.509 requests never fall back to OIDC or another OAuth flow.89Malformed or missing certificate material, an invalid chain, a root mismatch, a certificate outside its validity period, or rejection by a Mutual TLS certificate-admission rule returns `invalid_subject_token`. Rejection by the provider's **Attribute conditions** expression returns `invalid_grant`. Other provider, mapping, or active-root configuration failures also return `invalid_grant`. X.509 requests never fall back to OIDC or another OAuth flow.

92 90 

93## Response91## Response

94 92